Index: branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/COMP/pisces.card
===================================================================
--- branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/COMP/pisces.card	(revision 1661)
+++ branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/COMP/pisces.card	(revision 1661)
@@ -0,0 +1,51 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+OPA_NDT_DAY=4
+#==============================================================
+#-- Name of directory related to dynamical 
+#-- available directories are:  v3, cpl
+#-- NOTE: if you use your own directory you have to comment it
+OPA_dyn=cpl
+#==============================================================
+
+[InitialStateFiles]
+List= ()
+
+[BoundaryFiles]
+List=	()
+ListNonDel= (${R_BC}/${config_UserChoices_TagName}/DYN/${pisces_UserChoices_OPA_dyn}/VA66_mesh_mask.nc, mesh_mask.nc), \
+            (${R_BC}/${config_UserChoices_TagName}/DYN/${pisces_UserChoices_OPA_dyn}/VA66_SE_2050_2059_1M_grid_T.nc,dyna_grid_T.nc), \
+            (${R_BC}/${config_UserChoices_TagName}/DYN/${pisces_UserChoices_OPA_dyn}/VA66_SE_2050_2059_1M_grid_U.nc,dyna_grid_U.nc), \
+            (${R_BC}/${config_UserChoices_TagName}/DYN/${pisces_UserChoices_OPA_dyn}/VA66_SE_2050_2059_1M_grid_V.nc,dyna_grid_V.nc), \
+            (${R_BC}/${config_UserChoices_TagName}/DYN/${pisces_UserChoices_OPA_dyn}/VA66_SE_2050_2059_1M_grid_W.nc,dyna_grid_W.nc), \
+            (${R_BC}/${config_UserChoices_TagName}/INI/data_1m_DIC_nomask.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/INI/data_1m_Alkalini_nomask.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/INI/data_1m_O2_nomask.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/INI/data_1m_NO3_nomask.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/INI/data_1m_PO4_nomask.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/INI/data_1m_Si_nomask.nc,  .), \
+            (${R_BC}/${config_UserChoices_TagName}/INI/data_1m_DOC_nomask.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/INI/data_1m_Fer_nomask.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/ANC/kRGB61.txt, .), \
+            (${R_BC}/${config_UserChoices_TagName}/ANC/dust.orca.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/ANC/bathy.orca.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/ANC/river.orca.nc, .), \
+            (${R_BC}/${config_UserChoices_TagName}/ANC/ndeposition.orca.nc, .), \
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/namelist, .), \
+        (${SUBMIT_DIR}/PARAM/namelist_top, .), \
+        (${SUBMIT_DIR}/PARAM/namelist_pisces,    .)
+
+[RestartFiles]
+List=	(${config_UserChoices_JobName}_${NEMO_END}_restart_trc.nc,  restart_trc.nc, restart_trc.nc)
+
+[OutputText]
+List=   (ocean.output)
+
+[OutputFiles]
+List=   (${PREFIX_NWRITETRC}_${DATE_OPA}_ptrc_T.nc, ${R_OUT_MBG_NWRITE}/${PREFIX}_${WFT1}_ptrc_T.nc, NONE), \
+        (${PREFIX_NWRITETRC}_${DATE_OPA}_diad_T.nc, ${R_OUT_MBG_NWRITE}/${PREFIX}_${WFT1}_diad_T.nc, NONE)
+
Index: branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/COMP/pisces.driver
===================================================================
--- branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/COMP/pisces.driver	(revision 1661)
+++ branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/COMP/pisces.driver	(revision 1661)
@@ -0,0 +1,225 @@
+#!/bin/ksh
+
+#-----------------------------------
+function MBG_Initialize
+{ 
+    IGCM_debug_PushStack "MBG_Initialize"
+
+    JOB_NAME=${config_UserChoices_JobName}
+
+    OPA_NDT_DAY=${pisces_UserChoices_OPA_NDT_DAY:=4}
+
+
+# Local function to find namelists parameters
+supergrep () {
+    grep "^ *$1 *=" $2 | sed -e "s% *\!.*%%"
+}
+
+    ##--Variables used by OPA --
+
+    # cexper experience name for vairmer format
+    # nit000 number of the first time step
+    # nitend number of the last time step
+    # nleapy leap year calendar (0/1) (30 for 360d)
+    # nwrite frequency of OUTPUT file
+    # ln_rstart boolean term for restart (true or false)
+    # nstock frequency of restart file
+    # ndate0 initial calendar date aammjj
+    # rdt time step in seconds (coming from namelist)
+
+
+    PAT_CEXPER=$( supergrep cexper    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NIT000=$( supergrep nit000    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NITEND=$( supergrep nitend    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NLEAPY=$( supergrep nleapy    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NSTOCK=$( supergrep nstock    ${SUBMIT_DIR}/PARAM/namelist )
+    PAT_NDATE0=$( supergrep ndate0    ${SUBMIT_DIR}/PARAM/namelist )
+
+
+    OPA_RDT=$( supergrep rdt  ${SUBMIT_DIR}/PARAM/namelist | sed 's/ *rdt *=//' | sed 's/\. *,//' )
+
+    # Period Length In Days between DateBegin and first day of calendar 0001 01 01
+    # /!\ Needed by OPA namelist to compute file names /!\
+    (( DaysSinceJC = $( IGCM_date_DaysSinceJC ${DateBegin} ) + 1 ))
+
+    ##--Variables used by MBG --
+
+    # nwritetrc frequency of write in the tracer output file
+    # lrsttr    boolean term for tracer model restart (true or false)
+    # nrsttr    control of the time step (0, 1 or 2)
+    # ntrd_trc   time step frequency of write in the trends file for tracers
+    # ln_trdmld_trc_restart boolean term for trc trends restart (true or false)
+    
+    ##--Variables used by PISCES --
+ 
+    # nwritedia frequency of write in the additional diag output file
+
+    PAT_TOP_NWRITETRC=$( supergrep nwritetrc             ${SUBMIT_DIR}/PARAM/namelist_top )
+    PAT_TOP_LRSTTR=$( supergrep ln_rsttr                 ${SUBMIT_DIR}/PARAM/namelist_top )
+    PAT_TOP_NRSTTR=$( supergrep nrsttr                   ${SUBMIT_DIR}/PARAM/namelist_top )
+    PAT_TOP_NWRITETRD=$( supergrep ntrd_trc              ${SUBMIT_DIR}/PARAM/namelist_top )
+    PAT_TOP_RSTRTTRD=$( supergrep ln_trdmld_trc_restart  ${SUBMIT_DIR}/PARAM/namelist_top )
+
+    PAT_PIS_NWRITEDIA=$( supergrep nwritedia             ${SUBMIT_DIR}/PARAM/namelist_pisces )
+    PAT_PIS_LRIVER=$( supergrep ln_river                 ${SUBMIT_DIR}/PARAM/namelist_pisces )
+
+    IGCM_debug_PopStack "MBG_Initialize"
+}
+
+#-----------------------------------
+function MBG_Update
+{
+    IGCM_debug_PushStack "MBG_Update"
+
+    # Period Length In Days between DateBegin and first day of calendar 0001 01 01
+    # Needed by OPA namelist to compute correct file names 
+    (( PeriodDaysSinceJC =  $( IGCM_date_DaysSinceJC ${PeriodDateBegin} ) + 1  ))
+
+    ## Count of number of time steps from begin of OPA job
+    (( OPA_NIT000 = ( PeriodDaysSinceJC - DaysSinceJC ) * OPA_NDT_DAY + 1 ))
+    (( OPA_NDT   = PeriodLengthInDays * OPA_NDT_DAY ))
+    (( OPA_NITEND = OPA_NIT000 + OPA_NDT - 1))
+
+    ## Forcing to write one restart file at the end of period
+    OPA_NSTOCK="${OPA_NITEND}"
+
+    ## Verification of number of time steps per day
+    (( NB_SEC_DAY_MODEL = OPA_NDT_DAY * OPA_RDT ))
+    (( NB_SEC_DAY = 60 * 60 * 24 ))
+
+    if [ ${NB_SEC_DAY_MODEL} -ne ${NB_SEC_DAY} ]
+        then
+        echo " VERIFY OPA_NDT_DAY in opa9.card "
+        exit
+    fi
+
+     ## nleapy configuration
+        case ${config_UserChoices_CalendarType} in
+                leap)
+                OPA_NLEAPY=1;;
+                noleap)
+                OPA_NLEAPY=0;;
+                360d)
+                OPA_NLEAPY=30;;
+        esac
+
+
+        typeset -r PRECIS=8
+        NEMO_END=$( echo $( awk "BEGIN { printf \"%0${PRECIS}d\",${OPA_NITEND} }" ) )
+
+    sed -e "s%${PAT_CEXPER}%       cexper=\"${config_UserChoices_JobName}\"%" \
+        -e "s%${PAT_NIT000}%       nit000=${OPA_NIT000}%"                    \
+        -e "s%${PAT_NITEND}%       nitend=${OPA_NITEND}%"                    \
+        -e "s%${PAT_NSTOCK}%       nstock=${OPA_NSTOCK}%"                    \
+        -e "s%${PAT_NDATE0}%       ndate0=${PeriodDateBegin}%"                \
+        -e "s%${PAT_NLEAPY}%       nleapy=${OPA_NLEAPY}%"                     \
+        namelist > namelist.tmp
+
+    IGCM_sys_Mv namelist.tmp namelist
+
+    echo 'Variables automatically updated in namelists'
+    grep AUTO namelist*
+
+    ##--Write Frequency Purpose ....
+    topfrequency=$( echo ${config_MBG_WriteFrequency} | awk "-F " '{print $1}' )
+    topfactor=$( echo ${topfrequency} | sed -e "s/[yYmMdD]//" )
+    case ${topfrequency} in
+        1Y|1y)
+            (( TOP_NWRITE = OPA_NDT_DAY * topfactor * $( IGCM_date_DaysInYear  ${year} ) ))          ;
+            PREFIX_NWRITETRC=${config_UserChoices_JobName}_${topfactor}y ;
+            R_OUT_MBG_NWRITE=${R_OUT_MBG_O_Y} ;
+            WFT1=${topfactor}Y ;;
+        1M|1m)
+            (( TOP_NWRITE = OPA_NDT_DAY * topfactor * $( IGCM_date_DaysInMonth  ${year} ${month} ) ))          ;
+            PREFIX_NWRITETRC=${config_UserChoices_JobName}_${topfactor}m ;
+            R_OUT_MBG_NWRITE=${R_OUT_MBG_O_M} ;
+            WFT1=${topfactor}M ;;
+        *D|*d)
+            (( TOP_NWRITE = OPA_NDT_DAY * topfactor  ))          ;
+            PREFIX_NWRITETRC=${config_UserChoices_JobName}_${topfactor}d ;
+            R_OUT_MBG_NWRITE=${R_OUT_MBG_O_D} ;
+            WFT1=${topfactor}D ;;
+        *)
+    esac
+
+    ##-- Restart configuration
+    if ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_MBG_Restart}" = "n" ] ) ; then
+
+        #echo "NO RESTART FOR TOP"
+        TOP_LRSTTR=.FALSE.
+        TOP_NRSTTR=0
+
+        if ( [ "${pisces_UserChoices_OPA_dyn}" = "cpl" ] ) ; then
+             PISCES_LRIVER=.FALSE.
+        else
+             PISCES_LRIVER=.TRUE.
+        fi
+
+    elif ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_MBG_Restart}" = "y" ] ) ; then
+
+        #echo "RESTART TOP"
+        TOP_LRSTTR=.TRUE.
+        TOP_NRSTTR=0
+
+        if ( [ "${pisces_UserChoices_OPA_dyn}" = "cpl" ] ) ; then
+             PISCES_LRIVER=.TRUE.
+        else
+             PISCES_LRIVER=.TRUE.
+        fi
+
+
+    else
+
+        #echo "RESTART TOP"
+        TOP_LRSTTR=.TRUE.
+        TOP_NRSTTR=2
+
+        if ( [ "${pisces_UserChoices_OPA_dyn}" = "cpl" ] ) ; then
+             PISCES_LRIVER=.TRUE.
+        else
+             PISCES_LRIVER=.TRUE.
+        fi
+
+    fi
+
+    sed -e "s%${PAT_TOP_NWRITETRC}%       nwritetrc=${TOP_NWRITE}%"               \
+        -e "s%${PAT_TOP_NWRITETRD}%       ntrd_trc=${TOP_NWRITE}%"                \
+        -e "s%${PAT_TOP_LRSTTR}%          ln_rsttr=${TOP_LRSTTR}%"                   \
+        -e "s%${PAT_TOP_NRSTTR}%          nrsttr=${TOP_NRSTTR}%"                   \
+        namelist_top > namelist_top.tmp
+
+    IGCM_sys_Mv namelist_top.tmp namelist_top
+
+# on force les sorties PISCES comme les sorties OPA
+
+    sed -e "s%${PAT_PIS_NWRITEDIA}%       nwritedia=${TOP_NWRITE}%"              \
+        -e "s%${PAT_PIS_LRIVER}%          ln_river=${PISCES_LRIVER}%"                \
+        namelist_pisces > namelist_pisces.tmp
+
+    IGCM_sys_Mv namelist_pisces.tmp namelist_pisces
+
+    echo 'Variables automatically updated in namelists'
+    grep AUTO namelist*
+
+    IGCM_debug_PopStack "MBG_Update"
+}
+
+#-----------------------------------
+function MBG_Finalize
+{
+    IGCM_debug_PushStack "MBG_Finalize"
+
+    if [ -f date.file ] ; then
+        # Prefix use in opa.card AND in lim2.card :
+        DATE_OPA=$( cat date.file | \
+            sed "s/\ ${config_UserChoices_JobName}_[0-9]*[a-z]_\([0-9]*_[0-9]*\)_\ */\1/g" )
+        ###DATE_OPA=$( $DATE_OPABF | cut -c1-30 )
+        MainPrefix=${config_UserChoices_JobName}_1d_${DATE_OPA}
+        SecondPrefix=${config_UserChoices_JobName}_5d_${DATE_OPA}
+    fi
+
+    echo FINALIZE MBG !!!
+
+    IGCM_debug_PopStack "MBG_Finalize"
+}
+
Index: branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/PARAM/kRGB61.txt
===================================================================
--- branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/PARAM/kRGB61.txt	(revision 1661)
+++ branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/PARAM/kRGB61.txt	(revision 1661)
@@ -0,0 +1,61 @@
+  0.010    0.01618   0.07464   0.37807
+  0.011    0.01654   0.07480   0.37823
+  0.013    0.01693   0.07499   0.37840
+  0.014    0.01736   0.07518   0.37859
+  0.016    0.01782   0.07539   0.37879
+  0.018    0.01831   0.07562   0.37900
+  0.020    0.01885   0.07586   0.37923
+  0.022    0.01943   0.07613   0.37948
+  0.025    0.02005   0.07641   0.37976
+  0.028    0.02073   0.07672   0.38005
+  0.032    0.02146   0.07705   0.38036
+  0.035    0.02224   0.07741   0.38070
+  0.040    0.02310   0.07780   0.38107
+  0.045    0.02402   0.07821   0.38146
+  0.050    0.02501   0.07866   0.38189
+  0.056    0.02608   0.07914   0.38235
+  0.063    0.02724   0.07967   0.38285
+  0.071    0.02849   0.08023   0.38338
+  0.079    0.02984   0.08083   0.38396
+  0.089    0.03131   0.08149   0.38458
+  0.100    0.03288   0.08219   0.38526
+  0.112    0.03459   0.08295   0.38598
+  0.126    0.03643   0.08377   0.38676
+  0.141    0.03842   0.08466   0.38761
+  0.158    0.04057   0.08561   0.38852
+  0.178    0.04289   0.08664   0.38950
+  0.200    0.04540   0.08775   0.39056
+  0.224    0.04811   0.08894   0.39171
+  0.251    0.05103   0.09023   0.39294
+  0.282    0.05420   0.09162   0.39428
+  0.316    0.05761   0.09312   0.39572
+  0.355    0.06130   0.09474   0.39727
+  0.398    0.06529   0.09649   0.39894
+  0.447    0.06959   0.09837   0.40075
+  0.501    0.07424   0.10040   0.40270
+  0.562    0.07927   0.10259   0.40480
+  0.631    0.08470   0.10495   0.40707
+  0.708    0.09056   0.10749   0.40952
+  0.794    0.09690   0.11024   0.41216
+  0.891    0.10374   0.11320   0.41502
+  1.000    0.11114   0.11639   0.41809
+  1.122    0.11912   0.11984   0.42142
+  1.259    0.12775   0.12356   0.42500
+  1.413    0.13707   0.12757   0.42887
+  1.585    0.14715   0.13189   0.43304
+  1.778    0.15803   0.13655   0.43754
+  1.995    0.16978   0.14158   0.44240
+  2.239    0.18248   0.14701   0.44765
+  2.512    0.19620   0.15286   0.45331
+  2.818    0.21102   0.15918   0.45942
+  3.162    0.22703   0.16599   0.46601
+  3.548    0.24433   0.17334   0.47313
+  3.981    0.26301   0.18126   0.48080
+  4.467    0.28320   0.18981   0.48909
+  5.012    0.30502   0.19903   0.49803
+  5.623    0.32858   0.20898   0.50768
+  6.310    0.35404   0.21971   0.51810
+  7.079    0.38154   0.23129   0.52934
+  7.943    0.41125   0.24378   0.54147
+  8.912    0.44336   0.25725   0.55457
+ 10.000    0.47804   0.27178   0.56870
Index: branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/PARAM/namelist
===================================================================
--- branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/PARAM/namelist	(revision 1661)
+++ branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/PARAM/namelist	(revision 1661)
@@ -0,0 +1,135 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/OPA  :  1 - run manager      (namrun)
+!! namelists    2 - miscellaneous    (namctl,nammpp)
+!!              3 - Domain           (namzgr, namzgr_sco, namdom)
+!!              6 - Tracer           (nameos, namcla, namqsr)
+!!              7 - Inputs dynamics  (namdyna)
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!  CAUTION: some scripts does not support CAPITALs for logical use .true./.false., not .TRUE./.FALSE.
+
+!!======================================================================
+!!                   ***  Run management namelists  ***
+!!======================================================================
+!!   namrun            parameters of the run
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namrun        !   parameters of the run
+!-----------------------------------------------------------------------
+   no          =       0   !  job number
+   cexper      =  "PISCES"  !  experience name 
+   ln_rstart   = .false.   !  start from rest (F) or from a restart file (T)
+   nrstdt      =       0   !  restart control = 0 nit000 is not compared to the restart file value
+                           !                  = 1 use ndate0 in namelist (not the value in the restart file)
+                           !                  = 2 calendar parameters read in the restart file
+   nit000      =       1   !  first time step
+   nitend      =     7300  !  last  time step
+   ndate0      =  010101   !  initial calendar date yymmdd (used if nrstdt=1)
+   nleapy      =       0   !  Leap year calendar (1) or not (0)
+   ninist      =       0   !  output the initial state (1) or not (0)
+   nstock      =     7300  !  frequency of creation of a restart file (modulo referenced to 1)
+   nwrite      =     1460  !  frequency of write in the output file   (modulo referenced to nit000)
+   ln_mskland  = .false.   !  mask land points in NetCDF outputs (costly: + ~15%)
+/
+!-----------------------------------------------------------------------
+&namctl       !   Control prints & Benchmark
+!-----------------------------------------------------------------------
+   ln_ctl     = .false.    !  trends control print (expensive!)
+   nprint     =    0       !  level of print (0 no extra print)
+   nictls     =    1       !  start i indice of control sum (use to compare mono versus
+   nictle     =    182       !  end   i indice of control sum        multi processor runs
+   njctls     =    1       !  start j indice of control               over a subdomain)
+   njctle     =    149       !  end   j indice of control 
+   isplt      =    1       !  number of processors in i-direction
+   jsplt      =    1       !  number of processors in j-direction
+   nbench     =    0       !  Bench mode (1/0): CAUTION use zero except for bench
+/
+!-----------------------------------------------------------------------
+&nammpp      !   Massively Parallel Processing                         ("key_mpp_mpi)
+!-----------------------------------------------------------------------
+   c_mpi_send =  'S'       !  mpi send/recieve type   ='S', 'B', or 'I' for standard send,
+                           !  buffer blocking send or immediate non-blocking sends, resp.
+/
+!-----------------------------------------------------------------------
+&namzgr       !   vertical coordinate
+!-----------------------------------------------------------------------
+   ln_zco      = .false.   !  z-coordinate - full    steps   (T/F)      ("key_zco" may also be defined)
+   ln_zps      = .true.    !  z-coordinate - partial steps   (T/F)
+   ln_sco      = .false.   !  s- or hybrid z-s-coordinate    (T/F)
+/
+!-----------------------------------------------------------------------
+&namzgr_sco   !   s-coordinate or hybrid z-s-coordinate
+!-----------------------------------------------------------------------
+   sbot_min    =  300.     !  minimum depth of s-bottom surface (>0) (m)
+   sbot_max    = 5250.     !  maximum depth of s-bottom surface (= ocean depth) (>0) (m)
+   theta       =    6.0    !  surface control parameter (0<=theta<=20)
+   thetb       =    0.75   !  bottom control parameter  (0<=thetb<= 1)
+   r_max       =    0.15   !  maximum cut-off r-value allowed (0<r_max<1)
+/
+!-----------------------------------------------------------------------
+&namdom        !   space and time domain (bathymetry, mesh, timestep)
+!-----------------------------------------------------------------------
+   e3zps_min   =    25.    !  the thickness of the partial step is set larger than the minimum
+   e3zps_rat   =    0.2    !  of e3zps_min and e3zps_rat * e3t   (N.B. 0<e3zps_rat<1)
+   nmsh        =    1      !  create (=1) a mesh file (coordinates, scale factors, masks) or not (=0)
+   nacc        =    0      !  =1 acceleration of convergence method used, rdt < rdttra(k)
+                           !  =0, no acceleration, rdt = rdttra
+   atfp        =    0.1    !  asselin time filter parameter
+   rdt         = 21600.    !  time step for the dynamics (and tracer if nacc=0)
+   rdtmin      = 21600.    !  minimum time step on tracers (used if nacc=1)
+   rdtmax      = 21600.    !  maximum time step on tracers (used if nacc=1)
+   rdth        =  800.     !  depth variation of tracer time step  (used if nacc=1)
+/
+!-----------------------------------------------------------------------
+&namtraldf    !   lateral diffusion scheme for tracer
+!-----------------------------------------------------------------------
+!                               !  Type of the operator :
+   ln_traldf_lap    =  .true.   !     laplacian operator
+   ln_traldf_bilap  =  .false.  !     bilaplacian operator
+                                !  Direction of action  :
+   ln_traldf_level  =  .false.  !     iso-level
+   ln_traldf_hor    =  .false.  !     horizontal (geopotential)         (require "key_ldfslp" when ln_sco=T)
+   ln_traldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
+!                               !  Coefficient
+   aht0        =  2000.         !     horizontal eddy diffusivity for tracers [m2/s]
+   ahtb0       =     0.         !     background eddy diffusivity for ldf_iso [m2/s]
+   aeiv0       =  2000.         !     eddy induced velocity coefficient [m2/s]    (require "key_traldf_eiv")
+/
+!-----------------------------------------------------------------------
+&namcla        !   cross land advection
+!-----------------------------------------------------------------------
+   n_cla       =    0      !  advection between 2 ocean pts separates by land
+/
+!-----------------------------------------------------------------------
+&namqsr        !   penetrative solar radiation
+!-----------------------------------------------------------------------
+   ln_qsr_bio  = .false.   !  bio-model light penetration
+   rn_abs      =   0.58    !  RGB & 2 bands: fraction of light (rn_si1)
+   rn_si0      =   0.35    !  RGB & 2 bands: shortess depth of extinction
+   rn_si2      =   62.0    !  3 bands: longest depth of extinction (for blue waveband & 0.01 mg/m2 Chl)
+/  
+!-----------------------------------------------------------------------
+&nameos        !   ocean physical parameters
+!-----------------------------------------------------------------------
+   neos        =    0      !  type of equation of state and Brunt-Vaisala frequency
+                           !     = 0, UNESCO (formulation of Jackett and McDougall (1994) and of McDougall (1987) )
+                           !     = 1, linear: rho(T)   = rau0 * ( 1.028 - ralpha * T )
+                           !     = 2, linear: rho(T,S) = rau0 * ( rbeta * S - ralpha * T )
+   ralpha      =    2.e-4  !  thermal expension coefficient (neos= 1 or 2)
+   rbeta       =    0.001  !  saline  expension coefficient (neos= 2)
+/
+!-----------------------------------------------------------------------
+&namdyn        !   offline parameters 
+!-----------------------------------------------------------------------
+    ndtadyn   = 12         ! number of period in the file for one year    
+    ndtatot   = 12         ! total number of period in the file    
+    nsptint   =  1         ! indicator for time interpolation    
+    nficdyn   =  2         ! number of file to read    
+    lperdyn   = .true.     ! periodicity of the unique file (T)
+!                          ! F  (default)   computed with Blanke' scheme 
+    cfile_grid_T = 'dyna_grid_T.nc' ! name of grid_T file
+    cfile_grid_U = 'dyna_grid_U.nc' ! name of grid_U file
+    cfile_grid_V = 'dyna_grid_V.nc' ! name of grid_V file
+    cfile_grid_W = 'dyna_grid_W.nc' ! name of grid_W file
+/
+
Index: branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/PARAM/namelist_pisces
===================================================================
--- branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/PARAM/namelist_pisces	(revision 1661)
+++ branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/PARAM/namelist_pisces	(revision 1661)
@@ -0,0 +1,177 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! PISCES  :    1  - air-sea exchange                         (nampisext)
+!! namelists    2  - biological parameters                    (nampisbio)
+!!              3  - parameters for nutrient limitations      (nampislim)    
+!!              4  - parameters for phytoplankton             (nampisprod,nampismort)
+!!              5  - parameters for zooplankton               (nampismes,nampiszoo)
+!!              6  - parameters for remineralization          (nampisrem)
+!!              7  - parameters for calcite chemistry         (nampiscal)
+!!              8  - parameters for inputs deposition         (nampissed)
+!!              9  - parameters for Kriest parameterization   (nampiskrp, nampiskrs)
+!!              10 - additional 2D/3D  diagnostics            (nampisdia)
+!!              11 - Damping                                  (nampisdmp)
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampisext     !   air-sea exchange
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   atcco2     = 287.    ! atmospheric pCO2
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampisbio     !   biological parameters
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   part       =  0.85    ! part of calcite not dissolved in guts
+   nrdttrc    =  4       ! time step frequency for biology
+   wsbio      =  2.      ! POC sinking speed
+   xkmort     =  1.E-7   ! half saturation constant for mortality
+   ferat3     =  3.E-6   ! Fe/C in zooplankton 
+   wsbio2     =  50.     ! Big particles sinking speed
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampislim     !   parameters for nutrient limitations
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   conc0      =  2.e-6    ! Phosphate half saturation
+   conc1      =  10E-6    ! Phosphate half saturation for diatoms
+   conc2      =  0.02E-9  ! Iron half saturation for phyto
+   conc2m     =  0.08E-9  ! Max iron half saturation for phyto
+   conc3      =  0.1E-9   ! Iron half saturation for diatoms
+   conc3m     =  0.4E-9   ! Maxi iron half saturation for diatoms
+   concnnh4   =  1.E-7    ! NH4 half saturation for phyto
+   concdnh4   =  5.E-7    ! NH4 half saturation for diatoms
+   xksi1      =  2.E-6    ! half saturation constant for Si uptake
+   xksi2      =  3.33E-6  ! half saturation constant for Si/C
+   xkdoc      =  417.E-6  ! half-saturation constant of DOC remineralization
+   caco3r     =  0.3      ! mean rain ratio
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampisprod     !   parameters for phytoplankton growth
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   pislope    =  4.       ! P-I slope  
+   pislope2   =  4.       ! P-I slope  for diatoms
+   excret     =  0.05     ! excretion ratio of phytoplankton
+   excret2    =  0.05     ! excretion ratio of diatoms
+   chlcnm     =  0.033    ! Minimum Chl/C in nanophytoplankton
+   chlcdm     =  0.05     ! Minimum Chl/C in diatoms
+   fecnm      =  10E-6    ! Maximum Fe/C in nanophytoplankton
+   fecdm      =  15E-6    ! Minimum Fe/C in diatoms
+   grosip     =  0.151    ! mean Si/C ratio
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampismort     !   parameters for phytoplankton sinks
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   wchl       =  0.001    ! quadratic mortality of phytoplankton
+   wchld      =  0.02     ! maximum quadratic mortality of diatoms
+   mprat      =  0.01     ! phytoplankton mortality rate
+   mprat2     =  0.01     ! Diatoms mortality rate
+   mpratm     =  0.01     ! Phytoplankton minimum mortality rate
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampismes     !   parameters for mesozooplankton
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   grazrat2   =  0.7      ! maximal mesozoo grazing rate
+   resrat2    =  0.005    ! exsudation rate of mesozooplankton
+   mzrat2     =  0.03     ! mesozooplankton mortality rate
+   xprefc     =  1.       ! zoo preference for phyto
+   xprefp     =  0.2      ! zoo preference for POC
+   xprefz     =  1.       ! zoo preference for zoo
+   xprefpoc   =  0.2      ! zoo preference for poc
+   xkgraz2    =  20.E-6   ! half sturation constant for meso grazing
+   epsher2    =  0.33     ! Efficicency of Mesozoo growth 
+   sigma2     =  0.6      ! Fraction of mesozoo excretion as DOM
+   unass2     =  0.3      ! non assimilated fraction of P by mesozoo
+   grazflux   =  5.e3     ! flux-feeding rate
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampiszoo     !   parameters for microzooplankton
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   grazrat    =  4.0      ! maximal zoo grazing rate   
+   resrat     =  0.03     ! exsudation rate of zooplankton
+   mzrat      =  0.0      ! zooplankton mortality rate
+   xpref2c    =  0.0      ! Microzoo preference for POM 
+   xpref2p    =  0.5      ! Microzoo preference for Nanophyto
+   xpref2d    =  0.5      ! Microzoo preference for Diatoms
+   xkgraz     =  20.E-6   ! half sturation constant for grazing 
+   epsher     =  0.33     ! Efficiency of microzoo growth
+   sigma1     =  0.6      ! Fraction of microzoo excretion as DOM
+   unass      =  0.3      ! non assimilated fraction of phyto by zoo
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampisrem     !   parameters for remineralization
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   xremik    =  0.3       ! remineralization rate of DOC
+   xremip    =  0.025     ! remineralisation rate of POC
+   nitrif    =  0.05      ! NH4 nitrification rate
+   xsirem    =  0.015     ! remineralization rate of Si
+   xlam1     =  0.005     ! scavenging rate of Iron
+   oxymin    =  1.E-6     ! Half-saturation constant for anoxia 
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampiscal     !   parameters for Calcite chemistry
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   kdca       =  0.327e3  ! calcite dissolution rate constant (1/time)
+   nca        =  1.       ! order of dissolution reaction (dimensionless)
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampissed     !   parameters for inputs deposition
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   ln_dustfer  =  .true.   ! boolean for dust input from the atmosphere
+   ln_river    =  .true.   ! boolean for river input of nutrients
+   ln_ndepo    =  .true.   ! boolean for atmospheric deposition of N
+   ln_sedinput =  .true.   ! boolean for Fe input from sediments
+   sedfeinput  =  1E-9     ! Coastal release of Iron
+   dustsolub   =  0.014    ! Solubility of the dust
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampiskrp     !   Kriest parameterization : parameters     "key_kriest"
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   xkr_eta      = 1.17    ! Sinking  exponent
+   xkr_zeta     = 2.28    ! N content exponent
+   xkr_mass_min = 0.0002  ! Minimum mass for Aggregates
+   xkr_mass_max = 1.      ! Maximum mass for Aggregates
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampiskrs     !   Kriest parameterization : size classes  "key_kriest"
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   xkr_sfact    = 942.    ! Sinking factor
+   xkr_stick    = 0.5     ! Stickiness
+   xkr_nnano    = 2.337   ! Nbr of cell in nano size class
+   xkr_ndiat    = 3.718   ! Nbr of cell in diatoms size class
+   xkr_nmeso    = 7.147   ! Nbr of cell in mesozoo size class
+   xkr_naggr    = 9.877   ! Nbr of cell in aggregates  size class
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampisdia     !   additional 2D/3D tracers diagnostics ("key_trc_diaadd")
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   nwritedia   =  1460     !  time step frequency for tracers diagnostics
+!
+!              !    name   !           title of the field          !     units      !
+!              !           !                                       !                !  
+   pisdia2d(1)  = 'Cflx     ' , 'DIC flux                          ',  'molC/m2/s    '
+   pisdia2d(2)  = 'Oflx     ' , 'Oxygen flux                       ',  'molC/m2/s    '
+   pisdia2d(3)  = 'Kg       ' , 'Gas transfer                      ',  'mol/m2/s/uatm'
+   pisdia2d(4)  = 'Delc     ' , 'Delta CO2                         ',  'uatm         '
+   pisdia2d(5)  = 'PMO      ' , 'POC export                        ',  'molC/m2/s    '
+   pisdia2d(6)  = 'PMO2     ' , 'GOC export                        ',  'molC/m2/s    '
+   pisdia2d(7)  = 'ExpFe1   ' , 'Nano iron export                  ',  'molFe/m2/s   '
+   pisdia2d(8)  = 'ExpFe2   ' , 'Diatoms iron export               ',  'molFe/m2/s   '
+   pisdia2d(9)  = 'ExpSi    ' , 'Silicate export                   ',  'molSi/m2/s   '
+   pisdia2d(10) = 'ExpCaCO3 ' , 'Calcite export                    ',  'molC/m2/s    '
+   pisdia2d(11) = 'heup     ' , 'euphotic layer depth              ',  'm            '
+   pisdia2d(12) = 'Fedep    ' , 'Iron dep                          ',  'molFe/m2/s   '
+   pisdia2d(13) = 'Nfix     ' , 'Nitrogen Fixation                 ',  'molN/m2/s    '
+   pisdia3d(1)  = 'PH       ' , 'PH                                ',  '-            '
+   pisdia3d(2)  = 'CO3      ' , 'Bicarbonates                      ',  'mol/l        '
+   pisdia3d(3)  = 'CO3sat   ' , 'CO3 saturation                    ',  'mol/l        '
+   pisdia3d(4)  = 'PAR      ' , 'light penetration                 ',  'W/m2         '
+   pisdia3d(5)  = 'PPPHY    ' , 'Primary production of nanophyto   ',  'molC/m3/s    '
+   pisdia3d(6)  = 'PPPHY2   ' , 'Primary production of diatoms     ',  'molC/m3/s    '
+   pisdia3d(7)  = 'PPNEWN   ' , 'New Primary production of nano    ',  'molC/m3/s    '
+   pisdia3d(8)  = 'PPNEWD   ' , 'New Primary production of diat    ',  'molC/m3/s    '
+   pisdia3d(9)  = 'PBSi     ' , 'Primary production of Si diatoms  ',  'molSi/m3/s   '
+   pisdia3d(10) = 'PFeN     ' , 'Primary production of nano iron   ',  'molFe/m3/s   '
+   pisdia3d(11) = 'PFeD     ' , 'Primary production of diatoms iron',  'molFe/m3/s   '
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampisdmp     !  Damping 
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   ln_pisdmp    =  .true.     !  Relaxation fo some tracers to a mean value
+/
Index: branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/PARAM/namelist_top
===================================================================
--- branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/PARAM/namelist_top	(revision 1661)
+++ branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/PARAM/namelist_top	(revision 1661)
@@ -0,0 +1,143 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/TOP1 :  1 - tracer definition                     (namtoptrc)
+!! namelists    2 - dynamical tracer trends               (namtoptrd)
+!!              6 - tracer advection                      (namtopadv)
+!!              7 - tracer bottom boundary                (namtopbbl)
+!!              8 - tracer lateral diffusion              (namtopldf)
+!!              3 - tracer vertical physics               (namtopzdf)
+!!              9 - tracer newtonian damping              (namtopdmp)
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namtoptrc     !   tracers definition
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   ndttrc      =  1        !  time step frequency for passive tracers      
+   nwritetrc   =  1460     !  time step frequency for tracer outputs
+   ln_rsttr      = .false.   !  start from a restart file (T) or not (F)
+   nrsttr      =   0       !  restart control = 0 initial time step is not compared to the restart file value
+                           !                  = 1 do not use the value in the restart file
+                           !                  = 2 calendar parameters read in the restart file
+   cn_trcrst_in  = "restart_trc"   !  suffix of pass. tracer restart name (input)
+   cn_trcrst_out = "restart_trc"   !  suffix of pass. tracer restart name (output)
+!
+!              !    name   !           title of the field              !   units    ! initial data ! save   !
+!              !           !                                           !            ! from file    ! or not ! 
+!              !           !                                           !            ! or not       !        !
+   tracer(1)   = 'DIC     ' , 'Dissolved inorganic Concentration      ',  'mol-C/L' ,  .true.     ,  .true.
+   tracer(2)   = 'Alkalini' , 'Total Alkalinity Concentration         ',  'eq/L '   ,  .true.     ,  .true.
+   tracer(3)   = 'O2      ' , 'Dissolved Oxygen Concentration         ',  'mol-C/L' ,  .true.     ,  .true.
+   tracer(4)   = 'CaCO3   ' , 'Calcite Concentration                  ',  'mol-C/L' ,  .false.    ,  .true.
+   tracer(5)   = 'PO4     ' , 'Phosphate Concentration                ',  'mol-C/L' ,  .true.     ,  .true.
+   tracer(6)   = 'POC     ' , 'Small organic carbon Concentration     ',  'mol-C/L' ,  .false.    ,  .true.
+   tracer(7)   = 'Si      ' , 'Silicate Concentration                 ',  'mol-C/L' ,  .true.     ,  .true.
+   tracer(8)   = 'PHY     ' , 'Nanophytoplankton Concentration        ',  'mol-C/L' ,  .false.    ,  .true.
+   tracer(9)   = 'ZOO     ' , 'Microzooplankton Concentration         ',  'mol-C/L' ,  .false.    ,  .true.
+   tracer(10)  = 'DOC     ' , 'Dissolved organic Concentration        ',  'mol-C/L' ,  .false.    ,  .true.
+   tracer(11)  = 'PHY2    ' , 'Diatoms Concentration                  ',  'mol-C/L' ,  .false.    ,  .true.
+   tracer(12)  = 'ZOO2    ' , 'Mesozooplankton Concentration          ',  'mol-C/L' ,  .false.    ,  .true.
+   tracer(13)  = 'BSi     ' , 'Diatoms Silicate Concentration         ',  'mol-C/L' ,  .false.    ,  .true.
+   tracer(14)  = 'Fer     ' , 'Dissolved Iron Concentration           ',  'mol-C/L' ,  .true.     ,  .true.
+   tracer(15)  = 'BFe     ' , 'Big iron particles Concentration       ',  'mol-C/L' ,  .false.    ,  .true.
+   tracer(16)  = 'GOC     ' , 'Big organic carbon Concentration       ',  'mol-C/L' ,  .false.    ,  .true.
+   tracer(17)  = 'SFe     ' , 'Small iron particles Concentration     ',  'mol-C/L' ,  .false.    ,  .true.
+   tracer(18)  = 'DFe     ' , 'Diatoms iron  Concentration            ',  'mol-C/L' ,  .false.    ,  .true.
+   tracer(19)  = 'DSi     ' , 'Sinking biogenic Silicate Concentration',  'mol-C/L' ,  .false.    ,  .true.
+   tracer(20)  = 'NFe     ' , 'Nano iron Concentration                ',  'mol-C/L' ,  .false.    ,  .true.
+   tracer(21)  = 'NCHL    ' , 'Nano chlorophyl Concentration          ',  'mol-C/L' ,  .false.    ,  .true.
+   tracer(22)  = 'DCHL    ' , 'Diatoms chlorophyl Concentration       ',  'mol-C/L' ,  .false.    ,  .true.
+   tracer(23)  = 'NO3     ' , 'Nitrates Concentration                 ',  'mol-C/L' ,  .true.     ,  .true.
+   tracer(24)  = 'NH4     ' , 'Ammonium Concentration                 ',  'mol-C/L' ,  .false.    ,  .true.
+/
+!-----------------------------------------------------------------------
+&namtopadv    !   advection scheme for passive tracer 
+!-----------------------------------------------------------------------
+   ln_trcadv_cen2   =  .false.  !  2nd order centered scheme   
+   ln_trcadv_tvd    =  .false.  !  TVD scheme   
+   ln_trcadv_muscl  =  .true.   !  MUSCL scheme
+   ln_trcadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries
+   ln_trcadv_smolar =  .false.  !  SMOLAR scheme
+   rsc              =  1.       !  tuning coefficient for Smol-Car. scheme 
+   ncortrc          =  1        !  number of corrective phases for Smol-Car. scheme 
+   crosster         =  .false.  !  computes Smol-Car crossterms (T) or not (F)
+/
+!-----------------------------------------------------------------------
+&namtopbbl    !   bottom boundary layer scheme for passive tracer 
+!-----------------------------------------------------------------------
+   atrcbbl          = 1000.     !  lateral mixing coefficient in the bbl  [m2/s]
+/
+!-----------------------------------------------------------------------
+&namtopldf    !   lateral diffusion scheme for passive tracer 
+!-----------------------------------------------------------------------
+   ln_trcldf_diff   =  .true.   !  performs lateral diffusion (T) or not (F)
+!                               !  Type of the operator : 
+   ln_trcldf_lap    =  .true.   !     laplacian operator       
+   ln_trcldf_bilap  =  .false.  !     bilaplacian operator     
+                                !  Direction of action  :
+   ln_trcldf_level  =  .false.  !     iso-level                
+   ln_trcldf_hor    =  .false.  !     horizontal (geopotential)         (require "key_ldfslp" when ln_sco=T)
+   ln_trcldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
+!                               !  Coefficient
+   ahtrc0      =  2000.         !     horizontal eddy diffusivity for tracers [m2/s]
+   ahtrb0      =     0.         !     background eddy diffusivity for ldf_iso [m2/s]
+   aeivtr0     =  2000.         !     eddy induced velocity coefficient [m2/s]    (require "key_trcldf_eiv")
+   trcrat      =  1.            !  ratio betweeen passive and active tracer diffusion coeff
+/
+!-----------------------------------------------------------------------
+&namtopzdf        !   vertical physics
+!-----------------------------------------------------------------------
+   ln_trczdf_exp   =  .false.  !  split explicit (T) or implicit (F) time stepping
+   n_trczdf_exp    =   3       !  number of sub-timestep for ln_trczdfexp=T
+/
+!-----------------------------------------------------------------------
+&namtoprad        !  treatment of negative concentrations 
+!-----------------------------------------------------------------------
+   ln_trcrad   =  .true.  !  artificially correct negative concentrations (T) or not (F)
+/
+!-----------------------------------------------------------------------
+&namtopdmp        !   passive tracer newtonian damping                 ('key_trcdmp')
+!-----------------------------------------------------------------------
+   ndmptr      =   20      !  type of damping in passive tracers
+                           !     ='latitude', damping poleward of 'ndmp' degrees and function 
+                           !                  of the distance-to-coast. Red and Med Seas as ndmptr=-1
+                           !     =-1 damping only in Med and Red Seas
+   ndmpftr     =    0      !  create a damping.coeff NetCDF file (=1) or not (=0)
+   nmldmptr    =    1      !  type of damping: =0 damping throughout the water column
+                           !                   =1 no damping in the mixed layer defined by avt >5cm2/s )
+                           !                   =2 no damping in the mixed layer defined rho<rho(surf)+.01 )
+   sdmptr      =   50.     !  surface time scale for internal damping (days)
+   bdmptr      =  360.     !  bottom  time scale for internal damping (days)
+   hdmptr      =  800.     !  depth of transition between sdmptr and bdmptr (meters)
+/
+!-----------------------------------------------------------------------
+&namtoptrd       !   diagnostics on tracer trends
+!                          or mixed-layer trends          ('key_trdmld_trc')
+!----------------------------------------------------------------------
+   ntrd_trc   =  1460      !  time step frequency and tracers trends
+   nctls_trc  =   0        !  control surface type in mixed-layer trends (0,1 or n<jpk)
+   ucf_trc    =   1        !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
+   ln_trdmld_trc_restart = .false.  !  restart for ML diagnostics
+   ln_trdmld_trc_instant = .true.  !  flag to diagnose trends of instantantaneous or mean ML T/S
+   luttrd(1)  =   .true.
+   luttrd(2)  =   .true.
+   luttrd(3)  =   .false.
+   luttrd(4)  =   .false.
+   luttrd(5)  =   .false.
+   luttrd(6)  =   .false.
+   luttrd(7)  =   .false.
+   luttrd(8)  =   .false.
+   luttrd(9)  =   .false.
+   luttrd(10) =   .false.
+   luttrd(11) =   .false.
+   luttrd(12) =   .false.
+   luttrd(13) =   .false.
+   luttrd(14) =   .false.
+   luttrd(15) =   .false.
+   luttrd(16) =   .false.
+   luttrd(17) =   .false.
+   luttrd(18) =   .false.
+   luttrd(19) =   .false.
+   luttrd(20) =   .false.
+   luttrd(21) =   .false.
+   luttrd(22) =   .false.
+   luttrd(23) =   .true.
+   luttrd(24) =   .false.
+/
Index: branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/README
===================================================================
--- branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/README	(revision 1661)
+++ branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/README	(revision 1661)
@@ -0,0 +1,58 @@
+ config.card
+ ORCA2_OFF_PISCES
+ 5 years run -  trunk of 1 year per job with diagnostics ( key_trc_diaadd & key_trc_dia3d activated )
+
+ - NEMO    trunk revision 1656
+ - mpi on 4 processors ( 1x4 domain decomposition )
+ - libIGCM trunk revision 183
+ - dynamical files from IPSLCM5-VA66 runs from Olivier Marti
+
+without monitoring and atlas
+
+Tested on  NEC SX9 mercure at CCRT.
+
+Ouputs on : /dmnfs10/cont003/p48ethe/IGCM_OUT/ORCA2_OFF_PISCES/VA66P
+
+========================================================================
+run.card
+
+# $Date: $
+# $Name: $
+# $Revision: $
+# IPSL (2006)
+#  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
+
+#========================================================================
+[Configuration]
+#last PREFIX
+OldPrefix= VA66P_20051231
+#Compute date of loop
+PeriodDateBegin= 2006-01-01
+PeriodDateEnd= 2006-12-31
+CumulPeriod= 6
+# State of Job "Start", "Running", "OnQueue", "Completed"
+PeriodState= Completed
+
+#========================================================================
+[PostProcessing]
+
+#RebuildRunning=y/n
+#RebuildToComplete=number of dir to rebuild
+#RebuildDateID=PeriodDateEnd correspondant au dernier flag de RebuildFrequency=true
+
+TimeSeriesRunning=n
+TimeSeriesCompleted=
+
+#========================================================================
+[Log]
+# Executables Size
+LastExeSize= ( 11596207 )
+
+#------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
+# CumulPeriod | PeriodDateBegin |   PeriodDateEnd |        RunDateBegin |          RunDateEnd |     RealCpuTime |     UserCpuTime |      SysCpuTime | ExeDate
+#------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
+#           1 |        20010101 |        20011231 | 2009-10-14T15:05:34 | 2009-10-14T15:10:39 |       304.19207 |      1191.95484 |         4.41881 | MBG_Oct_14_15:02
+#           2 |        20020101 |        20021231 | 2009-10-14T15:14:18 | 2009-10-14T15:20:13 |       354.59008 |      1412.65806 |         2.16025 | MBG_Oct_14_15:02
+#           3 |        20030101 |        20031231 | 2009-10-14T15:24:17 | 2009-10-14T15:30:10 |       353.09587 |      1407.03031 |         2.22349 | MBG_Oct_14_15:02
+#           4 |        20040101 |        20041231 | 2009-10-14T15:34:16 | 2009-10-14T15:40:18 |       362.49957 |      1430.77230 |         3.31767 | MBG_Oct_14_15:02
+#           5 |        20050101 |        20051231 | 2009-10-14T15:44:16 | 2009-10-14T15:50:17 |       360.82695 |       717.62953 |         1.79535 | MBG_Oct_14_15:02
Index: branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/config.card
===================================================================
--- branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/config.card	(revision 1661)
+++ branches/libIGCM/ORCA2_OFF_PISCES/IGCM00/config.card	(revision 1661)
@@ -0,0 +1,94 @@
+#
+# This is config.card file for NEMO ORCA2_LIM_PISCES configuration
+#
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+#D-- UserChoices -
+[UserChoices]
+#============================
+#-- (<8 chars MAX for JobName)
+JobName=VA66P
+LongName="SCRIPT_V1"
+TagName=ORCA2_OFF_PISCES
+#============================
+#-- leap, noleap, 360d
+CalendarType=noleap
+#-- Begin and end of Job
+#-- "YYYY-MM-DD"
+DateBegin=2001-01-01
+DateEnd=2005-12-31
+#============================
+#-- 1Y, 1M, 5D, 1D
+PeriodLength=1Y
+#============================
+#-- PBS Class (required on brodie mono/multi)
+#JobClass=mono
+JobClass=multi
+#============================
+#-- Total Number of Processors
+JobNumProcTot=4
+#JobNumProcTot=1
+#============================
+#-- Run Options : 
+#JobRunOptions=''
+JobRunOptions='"-np "${BATCH_NUM_PROC_TOT}"'
+#============================
+#============================
+# config.card configuration options :
+#R_INIT=/home/mancip/PROG/IPSL/FORCAGE_OL/INIT
+R_BC=/dmnfs/cont003/p48ethe/IGCM/BC
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+MBG= (pisces, PISCES)
+#========================================================================
+#D-- Executable -
+[Executable]
+Name=nemo
+#D- For each component, Real name of executable
+MBG= (opa, nemo)
+#========================================================================
+#D-- Restarts -
+[Restarts]
+#D- If you want a GENERAL RULE FOR RESTARTS, put this flag to 'y'
+OverRule=n
+#D- Last day of the experience used as restart
+RestartDate=2000-12-30
+#D- Define restart simulation name
+RestartJobName=OROFP
+#D- Path Server Group Login
+RestartPath=${ARCHIVE}/IGCM_OUT/ORCA2_OFF_PISCES
+
+#========================================================================
+#D-- Post -
+[Post]
+#D- Do we rebuild parallel output, this flag determines
+#D- frequency of rebuild submission
+#D- BETA FEATURE
+RebuildFrequency=NONE
+#D- If you want to produce time series, this flag determines
+#D- frequency of post-processing submission
+RebuildFromArchive=false
+#D- If you want to produce time series, this flag determines
+#D- frequency of post-processing submission
+TimeSeriesFrequency=NONE
+#D- If you want to produce seasonal average, this flag determines
+#D- the period of this average
+SeasonalFrequency=NONE
+#========================================================================
+#D-- MBG -
+[MBG]
+WriteFrequency="1Y"
+#WriteFrequency="5D"
+Restart= n
+##-- Last day of the experience used as restart
+RestartDate=2000-12-30
+# Define restart simulation name
+RestartJobName=OROFP1
+RestartPath=${ARCHIVE}/IGCM_OUT/ORCA2_OFF_PISCES
+# Old component name for restart (if empty, use new name)
+OldName=
+#========================================================================
